package nl.amis.hrm;

import nl.amis.annotation.descriptor.Descriptor;
import nl.amis.annotation.AnnotatedObject;

public class Employee extends AnnotatedObject {
        private Double commission;
        private Long empno;
        private String firstName;
        private String lastName;
        private String job;
        private Double salalary;
      
        public Employee() {
        }

    public void setCommission(Double commission) {
        this.commission = commission;
    }

    public Double getCommission() {
        return commission;
    }

    public void setEmpno(Long empno) {
        this.empno = empno;
    }

    public Long getEmpno() {
        return empno;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    @Descriptor(label="First Name",sequence=1)
    public String getFirstName() {
        return firstName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    @Descriptor(label="Last Name",sequence=2)
    public String getLastName() {
        return lastName;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Descriptor(label="Job",sequence=3)
    public String getJob() {
        return job;
    }

    public void setSalalary(Double salalary) {
        this.salalary = salalary;
    }

    public Double getSalalary() {
        return salalary;
    }
}
