package nl.amis.threads;

import java.util.concurrent.locks.Lock;

public class InitializeThread implements Runnable {
    private Lock lock;
    private Lock lock2;
    
    public InitializeThread(Lock lock, Lock lock2) {
        this.lock = lock;
        this.lock2 = lock2;
    }

    public void run() {
        try {
            lock.lock();
            Thread.sleep(5000);
            lock2.lock();
        } catch (InterruptedException e) {
            e.printStackTrace();
        } finally {
            lock2.unlock();
            lock.unlock();
        }
        System.out.println("Initlialization done");
    }
}
