package nl.amis.threads;

import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

public class InitializeThread implements Runnable {
    Lock lock, lock2;

    public InitializeThread(Lock lock, Lock lock2) {
        this.lock = lock;
        this.lock2 = lock2;
    }

    public void run() {
        try {
            lock.lock();
            System.out.println("InitializeThread has lock");
            Thread.sleep(5000);
            lock2.lock();
            System.out.println("InitializeThread has lock2");
        } catch (InterruptedException e) {
            e.printStackTrace();
        } finally {
            System.out.println("Initlialization done");
            lock.unlock();
            System.out.println("InitializeThread has released lock");
            lock2.unlock();
            System.out.println("InitializeThread has released lock2");
        }
    }
}
