package nl.amis.threads;

import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

public class InitializeThread2 implements Runnable {
    Lock lock, lock2;

    public InitializeThread2(Lock lock, Lock lock2) {
        this.lock = lock;
        this.lock2 = lock2;
    }

    public void run() {
        try {
            lock2.lock();
            System.out.println("InitializeThread2 has lock2");
            Thread.sleep(2000);
            lock.lock();
            System.out.println("InitializeThread2 has lock");
        } catch (InterruptedException e) {
            e.printStackTrace();
        } finally {
            System.out.println("Initlialization done");
            lock.unlock();
            System.out.println("InitializeThread2 has released lock");
            lock2.unlock();
            System.out.println("InitializeThread2 has released lock2");
        }
    }
}
