package nl.amis.demo.generics;

public class Pair<X, Y> 
{

	  private X first; 
	  private Y second; 

	  public Pair(X a1, Y a2) { 
	    first  = a1; 
	    second = a2; 
	  } 
	  public X getFirst()  { return first; } 
	  public Y getSecond() { return second; } 
	  public void setFirst(X arg)  { first = arg; } 
	  public void setSecond(Y arg) { second = arg; } 

	  public static void printPair( Pair<String,Long> pair) { 
		  System.out.println("("+pair.getFirst()+","+pair.getSecond()+")"); 
		}
	/**
	 * @param args
	 */
	public static void main(String[] args) 
	{
		Pair<String,Long> thisobject = new Pair<String,Long> ("maximum",1024L); 
//		Pair<Double,Long> thisobject2 = new Pair<String,Long> ("maximum",1024L); 
		Pair<String,Long> limit = new Pair<String,Long> ("maximum",1024L); 
		Pair<Double,Long> limit2 = new Pair<Double,Long> (1.3,1024L); 
		Pair.printPair(limit);

	}

}
