package nl.amis.demo.generics;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import junit.framework.TestCase;

/**
 * test generic types
 */
public class BookTest extends TestCase 
{
	public void testGenerics1 ()
	{
		List<Book> books = new ArrayList<Book>();
		books.add (new Book ("Geert Mak", "Een kleine geschiedenis van Amsterdam"));
		books.add (new Book ("Chaim Potok", "The chosen"));
		
		System.out.println("With generics:");
		for (Book myBook : books)
		{
			assertNotNull (myBook);
			System.out.println (myBook);
		}
	}
	
	public void testNoGenerics1 ()
	{
		List books = new ArrayList();
		books.add (new Book ("Geert Mak", "Een kleine geschiedenis van Amsterdam"));
		books.add (new Book ("Chaim Potok", "The chosen"));
		
		System.out.println("Without generics:");
		for (Iterator it = books.iterator(); it.hasNext() ;)
		{
			Book myBook = (Book) it.next();
			assertNotNull (myBook);
			System.out.println (myBook);
		}
		
	}
}
