package nl.amis.demo.generics;

import java.util.LinkedList;

import junit.framework.TestCase;

/**
 * test generic collections
 * @author  Aino Andriessen
 */
public class Generics1Test extends TestCase {

	public void testNoGenerics1()
	{
		LinkedList list = new LinkedList();
		list.add(new Integer(1));
		assertEquals (new Integer(1), (Integer) list.get(0));
	}

	public void testNoGenerics2()
	{
		LinkedList list = new LinkedList();
		list.add("1");
		try {
			assertEquals (new Integer(1), (Integer) list.get(0));
			fail();
		} catch (ClassCastException e) {

		}
	}
	
	public void testGenerics1 ()
	{
		LinkedList<Integer> list = new LinkedList<Integer>();
		list.add(new Integer(1));
		assertEquals (new Integer(1), list.get(0));
	}
	
	public void testGenerics2 ()
	{
		LinkedList<Integer> list = new LinkedList<Integer>();
		list.add(1);    // autoboxing
		assertEquals (new Integer(1), list.get(0));
	}

}
