package nl.amis.demo.generics;

import junit.framework.TestCase;

/**
 * demonstrate generic types
 */
public class LibraryTest extends TestCase {

	public void testBookLib()
	{
		Library<Book> lib = new Library<Book>();
		lib.add(new Book ("Geert Mak", "Een kleine geschiedenis van Amsterdam"));
		for (Book book : lib.getMyCollection())
		{
			assertNotNull(book);
			System.out.println (book);
		}
	}

	public void testCdLib()
	{
		Library<Cd> lib = new Library<Cd>();
		lib.add(new Cd ("Sjako!", "Lifewire"));
		//  lib.add(new Book ("Sjako!", "Lifewire"));   // Cannot be done
		    for (Cd cd : lib.getMyCollection())
		{
			assertNotNull(cd);
			System.out.println (cd);
		}
	}

}
