package nl.amis.threads;

import java.util.concurrent.locks.Lock;

public class InitializeThread implements Runnable {
    private Lock lock;
    
    public InitializeThread(Lock lock) {
        this.lock = lock;
    }

    public void run() {
        try {
            lock.lock();
            Thread.sleep(5000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        } finally {
            lock.unlock();
        }
        System.out.println("Initlialization done");
    }
}
