package nl.amis.threads;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

public class ThreadsExample {
    String input = "";
    private Lock lock = new ReentrantLock();

    public ThreadsExample() {
    }
    
    public static void main(String[] args) {
        ThreadsExample t = new ThreadsExample();
        t.initialize();
        t.printInput();
    }
    
    private void initialize() {
        try {
            lock.lock();
            Thread thread = new Thread(new InitializeThread(lock));
            thread.start();
        }
        finally {
            lock.unlock();
        }
    }
    
    private void printInput() {
        try {
            BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
            input = in.readLine();
        } catch(IOException e) {
            e.printStackTrace();
        }
        System.out.println(input);
    }

}
