package nl.amis.threads;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class ThreadsExample {
    String input = "";

    public ThreadsExample() {
    }
    
    public static void main(String[] args) {
        ThreadsExample t = new ThreadsExample();
        t.initialize();
        t.printInput();
    }
    
    private void initialize() {
        Thread thread = new Thread(new InitializeThread());
        thread.start();
    }
    
    private void printInput() {
        try {
            BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
            input = in.readLine();
        } catch(IOException e) {
            e.printStackTrace();
        }
        System.out.println(input);
    }

}
